Summary: mod_mp3 apache module
Name: mod_mp3
Version: 0.37
Release: 1
Copyright: Apache Software License
Group: System Environment/Daemons
URL: http://media.tangent.org/
Source0: ftp://ftp.tangent.org/pub/apache/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
mod_mp3 turns the Apache Web server into an MP3 or Ogg streaming server.
It can play from a list of files, either in order or randomly.
It can also be used to cache MP3s into memory and have the server operate
entirely from memory. It has an XML-RPC interface for you to write
interfaces around and supports retrieving information via XML/RSS.
Read the faq for more information.

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS ./configure \
	--without-select \
	--with-apxs \
	--with-perl \
	--with-debug \
	--with-content_disposition

make clean
CFLAGS=$RPM_OPT_FLAGS make

%install
mkdir -p %{buildroot}/usr/lib/apache
install -m755 src/mod_mp3.so %{buildroot}/usr/lib/apache/mod_mp3.so
strip %{buildroot}/usr/lib/apache/mod_mp3.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc support/{mp3.conf,mp3_with_mysql.conf,mysql_schema,pgsql_schema}
%attr(0755,root,root) /usr/lib/apache/mod_mp3.so

%changelog
* Tue Jun  4 2002 JoungKyun Kim <http://www.oops.org>
- update 0.35 1st package

* Wed Jan 23 2002 JoungKyun Kim <http://www.oops.org>
- update 0.35 1st package

* Mon Jan 15 2002 JoungKyun Kim <http://www.oops.org>
- added cvs patch by condition of Jan 15 2002

* Fri Jan 11 2002 JoungKyun KiM <http://www.oops.org>
- packaged 0.33
